Package: org.gradle.api.plugins.antlr

## [Java] Class AntlrPlugin

- org.gradle.api.plugins.antlr.AntlrPlugin

- All Implemented Interfaces and Traits:
    Plugin

      public class AntlrPlugin
      extends Object

  A plugin for adding Antlr support to java projects.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `ANTLR_CONFIGURATION_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AntlrPlugin (org.gradle.api.internal.file.FileResolver fileResolver)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String ANTLR_CONFIGURATION_NAME

  - ### Constructor Detail

    - #### @javax.inject.Inject public AntlrPlugin(org.gradle.api.internal.file.FileResolver fileResolver)

  - ### Method Detail

    - #### public void apply(Project project)